Aktualizacja sterów nvidi


(Trol1 1966) #1

chcę zainstalować nowe stery do karty graficznej GEforce 4, ale nie wiem które konkretnie ściągnąć tyle ich na stronie, mój procek to duron1300, będę wdzięczny za pomoc i wszelkie sugestie co do procesu, jeszcze jedno nie wiem jakie mam ubuntu 32 czy 64. Pozdrawiam


#2

Powiedz najpierw jakie sterowniki masz do tej pory. Do tak starej karty niezalecane są najnowsze sterowniki. W Ubuntu instalujesz je automatycznie przez apt-geta więc jeżeli pokaże się w repozytoriach coś nowszego, to samo Ci zaktualizuje.


(matiit) #3

Jak CI działa ubuntu to masz 32 Bit

Pobierz to:

http://us.download.nvidia.com/XFree86/L ... 1-pkg1.run

Krótki opis:

http://www.nvidia.com/object/linux_disp ... 43.01.html

  • google

(Trol1 1966) #4

chodzi o to że nie mogę otworzyć nexuiza pewnie mam za słabą kartę grafiki myślałem że sterowniki do niej rozwiążą problem.


(Soren) #5

Na początku powinieneś napisać jaki masz system i jaką obecną wersję sterowników i czy poprawnie zainstalowane i skonfigurowany xorg.conf?


(Trol1 1966) #6

system ubuntu wersje sterów z terminala wczoraj x orga konfigurowałem.


(matiit) #7

pokaż (wpisz w konsoli, pokaż wynik):

glxinfo | grep direct

(Trol1 1966) #8

dostałem taki code

~$ glxinfo | grep direct

Xlib: extension "GLX" missing on display ":0.0".

Xlib: extension "GLX" missing on display ":0.0".

Xlib: extension "GLX" missing on display ":0.0".

Error: couldn't find RGB GLX visual

Xlib: extension "GLX" missing on display ":0.0".

Xlib: extension "GLX" missing on display ":0.0".

Xlib: extension "GLX" missing on display ":0.0".

Xlib: extension "GLX" missing on display ":0.0".

Xlib: extension "GLX" missing on display ":0.0".

Xlib: extension "GLX" missing on display ":0.0".

// Poprawiłem Twój post - dodałem tagi code.

Kaka'


(matiit) #9

Nie masz akceleracji działającej.

Źle zainstalowałes sterowniki.


(Trol1 1966) #10

to nie ja to system zainstalował sterowniki, szukałem w gotowcach na stronie ubuntu ale nic nie znalazłem.


(Soren) #11

nie gadaj w necie jest pełno poradników odnośnie instalacji sterów do nvidii pod ubuntu.

Jest sposób na forum.ubuntu.pl ale tam pewnie nie zajrzałeś nawet...

Wiesz to bardzo łatwo poznać czy ktoś "nagina prawde" pisząc że szukał przy takich trywialnych problemach bo rozwiązań ich w necie jest pełno...


(Trol1 1966) #12

pilchu nie gadaj głupot daj link do tego gotowca na ubuntu to bede mówił do ciebie Panie Pilchu tego gotowca wywalili z ubuntu szukałem go dziś całe popołudnie


(Błażej) #13

Polecam instalacje sterowników programem envy

Szybka, łatwa, bezproblemowa


(Soren) #14

sprawdź to

http://forum.ubuntu.pl/viewtopic.php?t= ... ght=nvidia

http://forum.ubuntu.pl/viewtopic.php?t= ... ght=nvidia

Lub jak trafnie napisał Błażej spróbuj poprzez envy

http://albertomilone.com/nvidia_scripts1.html


(Trol1 1966) #15

dzięki Błażej zapomniałem o envy, po zainstalowaniu sterów nic się nie zmieniło w dalszym ciągu terminal wyrzuca to samo. Jak się włącza akcelerację kiedyś to robiłem ale nie pamiętam.

Obecnie wyrzuca mi takie coś

glxinfo | grep direct

direct rendering: No

OpenGL renderer string: Mesa GLX Indirect


(Kaka') #16

Jestem zwolennikiem "ręcznej" roboty, bo wtedy można się dowiedzieć czemu np. akceleracja nam nie działa.

Poczytaj: http://debian.linux.pl/viewtopic.php?t=1247

Masz tam kilka sposobów instalacji sterowników, które możesz także wykorzystać pod Ubuntu (polecam instalację za pomocą instalatora nvidii - na ogół nie ma problemów). Pamiętaj aby dobrze skonfigurować xorg.conf.

Pozdrawiam.


(Trol1 1966) #17

Wielkie dzięki rewelacja szkoda że nie podrzuciłeś mi go wczoraj


(Kaka') #18

Znaczy się, działa Ci już akceleracja? Jak tak, napisz powód przez który 3D nie działało.


(Trol1 1966) #19

przy konfiguracji xorga na ubuntu nic nie mogę wstawić ani skasować bedkpace pracuje jak spacja, # też jest nieaktywny.

Coś jednak schrzaniłem przy instalacji sterów

nvidia-xconfig

Using X configuration file: "/etc/X11/xorg.conf".

ERROR: Unable to write to directory '/etc/X11'.

Chyba wiem na czym polega błąd z envy pobrałem stery do nowych kart grafiki a powinienem pobrać legency bo mam starą karte.

pobrałem taki pakiet ze sterami envy_0.9.7-0ubuntu12_all.deb nie wiem czy właściwy.